Global
Add cars
Adds one or more cars to the global allowlist by license number.
Returns HTTP 204 with no response body if all cars were added successfully, or HTTP 207 if
one or more items failed. Check the failures field for any cars that could not be added.
Cars not present in failures were successfully added.
POST
/
api
/
cars
Add cars
curl --request POST \
--url https://fleet.staging.ezprk.dev/api/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"licenseNumber": "<string>",
"features": []
}
]
'import requests
url = "https://fleet.staging.ezprk.dev/api/cars"
payload = [
{
"licenseNumber": "<string>",
"features": []
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{licenseNumber: '<string>', features: []}])
};
fetch('https://fleet.staging.ezprk.dev/api/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failures": [
{
"licenseNumber": "<string>",
"error": "<string>"
}
]
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}Previous
Remove carsRemoves cars entirely, regardless of which features (Leasing, CameraPark Fleet, etc.) are enabled on them. If a car has multiple features enabled and you want to remove only one of them, use the PATCH endpoint instead with the features you want to keep.
Returns HTTP 204 with no response body if all cars were removed successfully, or HTTP 207 if
one or more items failed. Failed cars will be returned in the `failures` field of the
response.
Next
⌘I
Add cars
